Bug 1445383 - After reintroducing a failed primary node, there are old replication slots left on the "new" node
Summary: After reintroducing a failed primary node, there are old replication slots le...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.3
Assignee: Nick Carboni
QA Contact: luke couzens
URL:
Whiteboard: HA
Depends On: 1426769
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 14:45 UTC by Satoe Imaishi
Modified: 2020-04-15 15:34 UTC (History)
7 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1426769
Environment:
Last Closed: 2017-06-28 15:01:40 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-12 20:41:20 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/03855d22c4adaeb7828be390b500162b9239804a

commit 03855d22c4adaeb7828be390b500162b9239804a
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Mon Apr 24 16:33:03 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri May 12 16:34:14 2017 -0400

    Merge pull request #126 from carbonin/failfast_for_duplicate_node_ids
    
    Check for existing nodes before attempting registration
    (cherry picked from commit 34299c6baa225d0492f42e4caf61d189dc468c48)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1450511
    https://bugzilla.redhat.com/show_bug.cgi?id=1445383
    https://bugzilla.redhat.com/show_bug.cgi?id=1450512

 .../database_replication_standby.rb                |  41 +++-
 .../database_replication_standby_spec.rb           | 211 ++++++++++++++++-----
 gems/pending/util/postgres_admin.rb                |   3 +-
 3 files changed, 200 insertions(+), 55 deletions(-)

Comment 3 luke couzens 2017-06-09 09:52:28 UTC
Verified in 5.7.3.1

Comment 5 errata-xmlrpc 2017-06-28 15:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.